---
schema-version: '1.1'
name: OpenSearch Dashboards
version: 2.19.3
platform: linux
architecture: arm64
distribution: deb
id: '8516'
rc: '3'
test-run:
  Command: ./test.sh integ-test manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
    --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.3/11234/linux/arm64/deb
    opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/arm64/deb
  TestType: integ-test
  TestManifest: manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/dist/opensearch-dashboards/manifest.yml
  TestID: '7516'
components:
  - name: observabilityDashboards
    command: ./test.sh integ-test manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.3/11234/linux/arm64/deb
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/arm64/deb
      --component observabilityDashboards
    repository: https://github.com/opensearch-project/dashboards-observability.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/with-security/observabilityDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/without-security/observabilityDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/observabilityDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
  - name: reportsDashboards
    command: ./test.sh integ-test manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.3/11234/linux/arm64/deb
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/arm64/deb
      --component reportsDashboards
    repository: https://github.com/opensearch-project/dashboards-reporting.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/with-security/reportsDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/without-security/reportsDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/reportsDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
  - name: customImportMapDashboards
    command: ./test.sh integ-test manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.3/11234/linux/arm64/deb
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/arm64/deb
      --component customImportMapDashboards
    repository: https://github.com/opensearch-project/dashboards-maps.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/with-security/customImportMapDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/without-security/customImportMapDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/arm64/deb/test-results/7516/integ-test/customImportMapDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
